#pragma once
#include "IOValues/memory_io_values.hpp"

namespace JabyEngine {
    namespace Memory_IO {
        using CD_DELAY_IO  = IOPort<Memory_IO_Values::CD_DELAY>;
        using COM_DELAY_IO = IOPort<Memory_IO_Values::COM_DELAY>;

        static auto& CD_DELAY  = __declare_io_port(CD_DELAY_IO,  0x1F801018);
        static auto& COM_DELAY = __declare_io_port(COM_DELAY_IO, 0x1F801020);
    }
}